summaryrefslogtreecommitdiff
path: root/test/Makefile
diff options
context:
space:
mode:
authorLinus Nordberg <linus@nordu.net>2016-11-25 14:29:00 +0100
committerLinus Nordberg <linus@nordu.net>2016-11-25 14:37:29 +0100
commit616be2a18cea1ecfee327105a58f4f397a7e28f1 (patch)
tree520ea9a3fbe29ac78ce76c4b4527a70e8a70ae1d /test/Makefile
parentd8ce0c149f10d841dc19cbc32c8fc844aa4d65fb (diff)
Manual rebase onto master with map/robust-distribution.
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile19
1 files changed, 13 insertions, 6 deletions
diff --git a/test/Makefile b/test/Makefile
index c92c30d..7d1b109 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,19 +1,20 @@
PREFIX=..
INSTDIR=$(PREFIX)/catlfish
+all: tests
+
tests-start:
- ./scripts/light-system-test-start.sh
+ (cd $(INSTDIR)/tests && ../../test/scripts/light-system-test-start.sh)
tests-stop:
- ./scripts/light-system-test-stop.sh
-
-tests-wait:
- sleep 5
+ (cd $(INSTDIR)/tests && ../../test/scripts/light-system-test-stop.sh)
tests-makemk:
$(PREFIX)/tools/compileconfig.py --config=$(PREFIX)/test/catlfish-test.cfg --testshellvars=$(PREFIX)/test/test.shvars --machines 1
-tests:
+tests: basic-tests
+
+basic-tests:
@make tests-makemk
rm -r $(INSTDIR)/tests || true
mkdir $(INSTDIR)/tests
@@ -24,3 +25,9 @@ perf-tests:
rm -r $(INSTDIR)/tests || true
mkdir $(INSTDIR)/tests
(cd $(INSTDIR)/tests && ../../test/scripts/perf-test.sh)
+
+continuous-merge-tests:
+ @make tests-makemk
+ rm -r $(INSTDIR)/tests || true
+ mkdir $(INSTDIR)/tests
+ (cd $(INSTDIR)/tests && ../../test/scripts/continuous-merge-test.sh)